Package org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class ZeroLengthPathIteration

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,​X>
  - - org.eclipse.rdf4j.common.iteration.LookAheadIteration<BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.ZeroLengthPathIteration

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`
  Direct Known Subclasses:
    `LimitedSizeZeroLengthPathIteration`

      public class ZeroLengthPathIteration
      extends LookAheadIteration<BindingSet,​QueryEvaluationException>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZeroLengthPathIteration​(EvaluationStrategy evaluationStrategyImpl, Var subjectVar, Var objVar, Value subj, Value obj, Var contextVar, BindingSet bindings)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `add​(Set<Value> reportedValues2, Value v)` | add param v to the set reportedValues2
    `Var` | `createAnonVar​(String varName)` |
    `protected BindingSet` | `getNextElement()` | Gets the next element.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.LookAheadIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### ZeroLengthPathIteration

          public ZeroLengthPathIteration​(EvaluationStrategy evaluationStrategyImpl,
                                         Var subjectVar,
                                         Var objVar,
                                         Value subj,
                                         Value obj,
                                         Var contextVar,
                                         BindingSet bindings)

  - ### Method Detail

    - #### getNextElement

          protected BindingSet getNextElement()
                                       throws QueryEvaluationException

      Description copied from class: `LookAheadIteration`
      Gets the next element. Subclasses should implement this method so that it returns the next element.
      Specified by:
        `getNextElement` in class `LookAheadIteration<BindingSet,​QueryEvaluationException>`
      Returns:
        The next element, or null if no more elements are available.
      Throws:
        `QueryEvaluationException`

    - #### add

          protected boolean add​(Set<Value> reportedValues2,
                                Value v)
                         throws QueryEvaluationException

      add param v to the set reportedValues2
      Parameters:
        `reportedValues2` -
        `v` -
      Returns:
        true if v added to set and not yet present
      Throws:
        `QueryEvaluationException`

    - #### createAnonVar

          public Var createAnonVar​(String varName)